package UE02_100924_Collections_TreeSet.theorie;

public class Mensch {
    String vor;
    String nach;
    int alter;

    public Mensch(String vor, String nach, int alter) {
        this.vor = vor;
        this.nach = nach;
        this.alter = alter;
    }

    @Override
    public String toString() {
        return "Mensch{" +
                "vor='" + vor + '\'' +
                ", nach='" + nach + '\'' +
                ", alter=" + alter +
                '}';
    }


    public int compareToXXXX(Mensch o) {
        //liefert : positive Zahl, wenn this größer als o
        //          negative Zahl, wenn this kleiner als o
        //          0 , wenn beide gleich
        // erstes Kriterium: Vorname
        int vergleich = this.vor.compareTo(o.vor);
        if (vergleich != 0)
            return vergleich;

        //zweites Kriterium: Nachname
        vergleich = this.nach.compareTo(o.nach);
        if (vergleich != 0)
            return vergleich;

        vergleich = this.alter-o.alter;
        return vergleich;
    }
}
